import { SoundSet } from './interfaces/sound-set';
import { ScrollingText } from '.';
export declare class SoundManager {
    private instance;
    private soundSet;
    constructor(instance: ScrollingText, soundSet: SoundSet);
    setSoundSet(soundSet: SoundSet): void;
    init(): void;
    private handleOpen;
    private handleCharacterAppear;
    private handleAdvance;
    private handleClose;
}
